Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Class InlineKnuthSequence

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  org.apache.fop.layoutmgr.KnuthSequence
                      org.apache.fop.layoutmgr.InlineKnuthSequence

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class InlineKnuthSequence

extends KnuthSequence

Represents a list of inline Knuth elements. If closed, it represents all elements of a Knuth paragraph.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`InlineKnuthSequence()` Creates a new and empty list.
`InlineKnuthSequence(java.util.List list)` Creates a new list from an existing list.

Method Summary
`void` | `addALetterSpace()` Add letter space.
`boolean` | `appendSequence(KnuthSequence sequence)` Append sequence to this sequence if it can be appended.
`boolean` | `appendSequence(KnuthSequence sequence, boolean keepTogether, BreakElement breakElement)` Append sequence to this sequence if it can be appended.
`boolean` | `canAppendSequence(KnuthSequence sequence)` Can sequence be appended to this sequence?
`KnuthSequence` | `endSequence()` Finalizes a Knuth sequence.
`boolean` | `isInlineSequence()` Is this an inline or a block sequence?

Methods inherited from class org.apache.fop.layoutmgr.KnuthSequence
`appendSequenceOrClose, appendSequenceOrClose, getElement, getFirstBoxIndex, getFirstBoxIndex, getLast, removeLast, startSequence, toString, wrapPositions`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### InlineKnuthSequence

    public InlineKnuthSequence()

  Creates a new and empty list.

### InlineKnuthSequence

    public InlineKnuthSequence(java.util.List list)

  Creates a new list from an existing list.

  Parameters:
    `list` - The list from which to create the new list.

Method Detail

### isInlineSequence

    public boolean isInlineSequence()

  Is this an inline or a block sequence?

  Specified by:
    `isInlineSequence` in class `KnuthSequence`
  Returns:
    false

### canAppendSequence

    public boolean canAppendSequence(KnuthSequence sequence)

  Can sequence be appended to this sequence?

  Specified by:
    `canAppendSequence` in class `KnuthSequence`
  Parameters:
    `sequence` - The sequence that may be appended.
  Returns:
    whether the sequence can be appended to this sequence.

### appendSequence

    public boolean appendSequence(KnuthSequence sequence)

  Append sequence to this sequence if it can be appended.

  Specified by:
    `appendSequence` in class `KnuthSequence`
  Parameters:
    `sequence` - The sequence that is to be appended.
  Returns:
    whether the sequence was succesfully appended to this sequence.

### appendSequence

    public boolean appendSequence(KnuthSequence sequence,
                                  boolean keepTogether,
                                  BreakElement breakElement)

  Append sequence to this sequence if it can be appended.

  Specified by:
    `appendSequence` in class `KnuthSequence`
  Parameters:
    `sequence` - The sequence that is to be appended.
    `keepTogether` - Whether the two sequences must be kept together.
    `breakElement` - The BreakElement that may be inserted between the two sequences.
  Returns:
    whether the sequence was succesfully appended to this sequence.

### endSequence

    public KnuthSequence endSequence()

  Finalizes a Knuth sequence.

  Specified by:
    `endSequence` in class `KnuthSequence`
  Returns:
    a finalized sequence.

### addALetterSpace

    public void addALetterSpace()

  Add letter space.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.